# pypi_name - name for pypi_source
# mod_name - name of python module
# oname - name for rpm package

%define pypi_name pytesseract
%define mod_name %{pypi_name}
%define oname pytesseract

Summary:        Python-tesseract is a python wrapper for Google's Tesseract-OCR
Name:           python-%{oname}
Version:        0.3.13
Release:        1
License:        Apache-2.0
Group:          Development/Python
Url:            https://github.com/madmaze/pytesseract
Source0:        %{pypi_source}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildArch:      noarch

%description
%{summary}.

#------------------------------------------------------------------

%package -n python3-%{oname}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{oname}
%{summary}.

%files -n python3-%{oname} -f %{pyproject_files}
%{_bindir}/pytesseract

#------------------------------------------------------------------

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{mod_name}
